Skip to main content
Resource Center/Hardware/Primary Storage Operations
GETPrimary Storage OperationsSince 4.0.0SynchronousAuth Required

GetHostCandidatesForVmMigration

GetHostCandidatesForVmMigration

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Query Parameters

Request Inputs

Path Parameters

  • vmInstanceUuidStringRequired

    The UUID of the VM instance.

Query Parameters

  • dstPrimaryStorageUuidStringRequired

    The UUID of the destination primary storage.

  • limitInteger

    Optional. The maximum number of returned hosts.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The detailed description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories

    • zoneUuidStringRequired

      The zone UUID.

    • nameStringRequired

      The name of the

    • uuidStringRequired

      The host UUID.

    • clusterUuidStringRequired

      The cluster UUID.

    • descriptionStringRequired

      The detailed description of the host.

    • managementIpStringRequired

      管理IP。

    • hypervisorTypeStringRequired

      No description provided.

    • stateStringRequired

      当前状态。

    • statusStringRequired

      状态信息。

    • totalCpuCapacityLongRequired

      总CPU容量。

    • availableCpuCapacityLongRequired

      可用CPU容量。

    • cpuSocketsIntegerRequired

      No description provided.

    • totalMemoryCapacityLongRequired

      总内存容量。

    • availableMemoryCapacityLongRequired

      可用内存容量。

    • cpuNumIntegerRequired

      No description provided.

    • createDateTimestampRequired

      The time when the host was created.

    • lastOpDateTimestampRequired

      The time when the host was last modified.

Endpoint

GET/zstack/v1/primary-storage/hosts/{vmInstanceUuid}/migration-candidates

/zstack/v1/primary-storage/hosts/{vmInstanceUuid}/migration-candidates

Operation ID

GetHostCandidatesForVmMigration

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/primary-storage/hosts/{vmInstanceUuid}/migration-candidates?dstPrimaryStorageUuid=<dstPrimaryStorageUuid>&limit=1&systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "name": "HOST-1", "uuid": "b72c8853294a3e08abe838c58a61efb9" } ] }

Change History

This API has no change history records yet.

View all change history